##### basic_stream_file::seek (1 of 2 overloads)

Seek to a position in the file.

    uint64_t seek(
        int64_t offset,
        file_base::seek_basis whence);

This function updates the current position in the file.

###### Parameters

offset

  The requested position in the file, relative to `whence`.

whence

  One of `seek_set`, `seek_cur` or `seek_end`.

###### Return Value

The new position relative to the beginning of the file.

###### Exceptions

asio::system_error

  Thrown on failure.